package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * FormulaPara对象 formula_para
 *
 * @author hlf
 * @date 2022-01-10
 */
public class FormulaPara extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long formulaNo;

    private Long formulaParaNo;

    private String formulaParaName;

    private String formulaParaDesc;

    private Long formulaParaType;

    private Long formulaParaIsnormal;

    private Long formulaParaIslock;

    private String formulaName;

    private String formulaParaTypeName;

    private String formulaParaIslockName;

    public void setFormulaNo(Long formulaNo) {
        this.formulaNo = formulaNo;
    }

    public Long getFormulaNo() {
        return formulaNo;
    }

    public void setFormulaParaNo(Long formulaParaNo) {
        this.formulaParaNo = formulaParaNo;
    }

    public Long getFormulaParaNo() {
        return formulaParaNo;
    }

    public void setFormulaParaName(String formulaParaName) {
        this.formulaParaName = formulaParaName;
    }

    public String getFormulaParaName() {
        return formulaParaName;
    }

    public void setFormulaParaDesc(String formulaParaDesc) {
        this.formulaParaDesc = formulaParaDesc;
    }

    public String getFormulaParaDesc() {
        return formulaParaDesc;
    }

    public void setFormulaParaType(Long formulaParaType) {
        this.formulaParaType = formulaParaType;
    }

    public Long getFormulaParaType() {
        return formulaParaType;
    }

    public void setFormulaParaIsnormal(Long formulaParaIsnormal) {
        this.formulaParaIsnormal = formulaParaIsnormal;
    }

    public Long getFormulaParaIsnormal() {
        return formulaParaIsnormal;
    }

    public void setFormulaParaIslock(Long formulaParaIslock) {
        this.formulaParaIslock = formulaParaIslock;
    }

    public Long getFormulaParaIslock() {
        return formulaParaIslock;
    }

    public String getFormulaName() {
        return formulaName;
    }

    public void setFormulaName(String formulaName) {
        this.formulaName = formulaName;
    }

    public String getFormulaParaTypeName() {
        return formulaParaTypeName;
    }

    public void setFormulaParaTypeName(String formulaParaTypeName) {
        this.formulaParaTypeName = formulaParaTypeName;
    }

    public String getFormulaParaIslockName() {
        return formulaParaIslockName;
    }

    public void setFormulaParaIslockName(String formulaParaIslockName) {
        this.formulaParaIslockName = formulaParaIslockName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("formulaNo", getFormulaNo())
                .append("formulaParaNo", getFormulaParaNo())
                .append("formulaParaName", getFormulaParaName())
                .append("formulaParaDesc", getFormulaParaDesc())
                .append("formulaParaType", getFormulaParaType())
                .append("formulaParaIsnormal", getFormulaParaIsnormal())
                .append("formulaParaIslock", getFormulaParaIslock())
                .toString();
    }
}
